Subject: Best price on Baltic Birch in Northeast US?

From: Daniel Morris DeRight <[email-masked]>
Date: Thu, 13 Feb 1997 12:00:01 -0500

I'm looking for a good place to buy, or order, Baltic Birch plywood
in or around Pittsburgh, PA.  There are a few places locally that sell
it only in 4'x2' sheets, at quite premium prices, and they carry very
little stock.  I'd like to find a place that carries at least 4'x4'
sheets, in 1/4", 1/2" and 3/4" (or 6, 13 and 19mm) sizes.  It should be
reasonably close to Pittsburgh, or the travel time or shipping will
overwhelm any savings I might see.  A place that offerred veneered ply
as well would be nice, but not necessary.

    Thanks much.

==========================
Dan DeRight          [email-masked]

Necessity is the plea of every infringement of human freedom.  It is
the argument of tyrants; it is the creed of slaves.    -William Pitt